Subject: Re: [bug#34586] [PATCH 1/3] gnu: emacs-dash: Update to 2.15.0.

From: Brett Gilio <[email-masked]>
Date: Tue, 19 Feb 2019 22:18:11 -0600

Brett Gilio writes:

> From 12c8c9ffab36fa29d202c6aca632dea476739e58 Mon Sep 17 00:00:00 2001
> From: Brett Gilio <[email-masked]>
> Date: Tue, 19 Feb 2019 22:00:34 -0600
> Subject: [PATCH 1/3] gnu: emacs-dash: Update to 2.15.0.
>
> * gnu/packages/emacs-xyz.scm (emacs-dash): Update to 2.15.0.
> ---
>  gnu/packages/emacs-xyz.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
> index 75fc97471..0bea870e6 100644
> --- a/gnu/packages/emacs-xyz.scm
> +++ b/gnu/packages/emacs-xyz.scm
> @@ -1607,7 +1607,7 @@ and stored in memory.")
>  (define-public emacs-dash
>    (package
>      (name "emacs-dash")
> -    (version "2.14.1")
> +    (version "2.15.0")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
> @@ -1616,7 +1616,7 @@ and stored in memory.")
>                (file-name (git-file-name name version))
>                (sha256
>                 (base32
> -                "1kzijmjxjxgr7p8clphzvmm47vczckbs8mza9an77c25bn627ywl"))))
> +                "0dx8q3jr8fh73cfl7mqi5dq0012ambpvc74d2c71fsv9rfw85693"))))
>      (build-system emacs-build-system)
>      (arguments
>       `(#:tests? #t

So, this update to dash contains a `listp' functions that isn't
available in earlier versions, as well as updates to a dash-functional
module. These updates are needed for the lsp-mode and lsp-ui patches I
sent in this series.

As usual, I made sure all dependencies are building correctly with the
dash update to 2.15.0, and I came across a failing build for
`emacs-json-mode'. However, this failing build seems unrelated to the
change in dash and has something to do with upstream.

So, while I know that people are going to want to make sure that all of
our packages that depend on dash are still working (and I encourage you
to check before somebody pushes this to master), just know that specific
failure seems to be unrelated.

Best,
Brett Gilio